Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputThumbnail

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputThumbnail

Enclosing class:
  TdApi

public static final class TdApi.InputThumbnail extends TdApi.Object
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`height`
Thumbnail height, usually shouldn't exceed 320.
`TdApi.InputFile`
`thumbnail`
Thumbnail file to send.
`int`
`width`
Thumbnail width, usually shouldn't exceed 320.

## Constructor Summary

Constructors
Constructor
Description
`InputThumbnail()`
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.
`InputThumbnail(TdApi.InputFile thumbnail, int width, int height)`
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.
`InputThumbnail(DataInput input)`
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### thumbnail

public TdApi.InputFile thumbnail
Thumbnail file to send. Sending thumbnails by fileId is currently not supported.

### width

public int width
Thumbnail width, usually shouldn't exceed 320. Use 0 if unknown.

### height

public int height
Thumbnail height, usually shouldn't exceed 320. Use 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputThumbnail

public InputThumbnail()
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

### InputThumbnail

public InputThumbnail(TdApi.InputFile thumbnail, int width, int height)
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

Parameters:
  `thumbnail` - InputFile Thumbnail file to send. Sending thumbnails by fileId is currently not supported.
  `width` - int Thumbnail width, usually shouldn't exceed 320. Use 0 if unknown.
  `height` - int Thumbnail height, usually shouldn't exceed 320. Use 0 if unknown.

### InputThumbnail

public InputThumbnail(DataInput input) throws IOException
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`